List reports
curl --request GET \
--url https://api.coval.dev/v1/reports \
--header 'x-api-key: <api-key>'import requests
url = "https://api.coval.dev/v1/reports"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.coval.dev/v1/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reports": [
{
"id": "01JABCDEFGHJKMNPQRSTVWXYZ0",
"name": "Plan comparison",
"run_ids": [
"8EktrIgaVxn9LfxkIynagX",
"9FltuJhbWyoAMgymJzobhY"
],
"compare_by": "persona",
"metadata_key": "customer.plan",
"permissions": "PRIVATE",
"simulation_output_ids": [
"AGktrIgaVxn9LfxkIynagX"
],
"source_human_review_project_id": "01JABCDEFGHJKMNPQRSTVWXYZ0"
}
],
"next_cursor": "50"
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request body",
"details": [
{
"field": "metadata_key",
"description": "metadata_key is required when compare_by is metadata"
}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "x-api-key",
"description": "API key is required in the x-api-key header"
}
]
}
}{
"error": {
"code": "PERMISSION_DENIED",
"message": "Insufficient permissions",
"details": [
{
"field": "permissions",
"description": "The API key does not include the required report permission."
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred while processing the report request"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Service temporarily unavailable",
"details": [
{
"description": "Database routing is temporarily unavailable. Please retry."
}
]
}
}Reports
List reports
Retrieve a paginated list of saved reports for the authenticated organization.
GET
/
reports
List reports
Authorizations
API key for authentication
Query Parameters
Cursor from the previous page.
Pattern:
^\d+$Maximum number of reports to return.
Required range:
1 <= x <= 100Was this page helpful?
⌘I